%define major	12
%define libname	%mklibname openshot %{major}
%define devname	%mklibname openshot -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libopenshot
Version:	0.1.7
Release:	%mkrel 1
Summary:	Library for creating and editing videos
License:	LGPLv3+
Group:		System/Libraries
URL:		http://www.openshot.org/
Source0:	https://launchpad.net/libopenshot/%{url_ver}/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cppzmq-devel
BuildRequires:	doxygen
BuildRequires:	swig
BuildRequires:	ffmpeg-devel
BuildRequires:	ruby-devel
BuildRequires:	libopenshot-audio-devel >= 0.1.4
BuildRequires:	pkgconfig(ImageMagick++)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(UnitTest++)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)

%description
OpenShot Library (libopenshot) is an open-source project
dedicated to delivering high quality video editing, animation,
and playback solutions to the world. For more information
visit <http://www.openshot.org/>.

#----------------------------------------------------

%package -n	%{libname}
Summary:	OpenShot Library
Group:		System/Libraries

%description -n	%{libname}
OpenShot Library (libopenshot) is an open-source project
dedicated to delivering high quality video editing, animation,
and playback solutions to the world. For more information
visit <http://www.openshot.org/>.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openshot-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python

%description -n	python3-%{name}
The python3-%{name} package contains python 3 bindings for
applications that use %{name}.

#----------------------------------------------------

%package -n	ruby-%{name}
Summary:	Ruby bindings for %{name}
Group:		Development/Ruby

%description -n	ruby-%{name}
The ruby-%{name} package contains ruby bindings for
applications that use %{name}.

#----------------------------------------------------

%prep
%setup -qc

%build
%cmake
%make_build

%install
%make_install -C build

%files -n %{libname}
%{_libdir}/libopenshot.so.%{major}
%{_libdir}/libopenshot.so.%{version}

%files -n %{devname}
%doc AUTHORS COPYING README
%{_includedir}/%{name}/
%{_libdir}/libopenshot.so

%files -n python3-%{name}
%doc AUTHORS COPYING README
%{python3_sitearch}/*

%files -n ruby-%{name}
%{ruby_vendorarchdir}/*


%changelog
* Fri Jun 02 2017 akien <akien> 0.1.7-1.mga6
+ Revision: 1105812
- Version 0.1.7 (major 12)

* Sat May 27 2017 shlomif <shlomif> 0.1.3-5.mga6
+ Revision: 1105213
- rebuild for new imagemagick lib major

* Tue May 02 2017 akien <akien> 0.1.3-4.mga6
+ Revision: 1098297
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 0.1.3-3.mga6
+ Revision: 1089873
- Rebuild for ffmpeg 3.2.4

* Tue Feb 21 2017 wally <wally> 0.1.3-2.mga6
+ Revision: 1087226
- BR cppzmq instead of libzmq

* Wed Dec 28 2016 daviddavid <daviddavid> 0.1.3-1.mga6
+ Revision: 1078529
- new version: 0.1.3
- now libmajor is 0
- package the ruby bindings

* Mon Oct 10 2016 daviddavid <daviddavid> 0.1.2-2.mga6
+ Revision: 1060056
- rebuild for ARM

* Mon Oct 10 2016 daviddavid <daviddavid> 0.1.2-1.mga6
+ Revision: 1059969
- initial package libopenshot

